Jump to content


Photo

Is there a "safe" way to remove a specific master from the STEP Patch?

step patch

  • Please log in to reply
2 replies to this topic

#1 RafterMan72

RafterMan72

    Prisoner

  • Members
  • 3 posts

Posted 08 January 2016 - 11:18 AM

Hi,

 

Is it possible to remove a particular master from the STEP Patch (without screwing up the whole patch) using xEdit? Here's the situation: I have installed all of the STEP Core and Extended mods, but I would like to take just one mod out of my setup. However, the STEP Extended Patch is dependent on this mod as a master (as is the Core Patch if I'm not mistaken).

 

I suppose one solution would be to just install the STEP Combined Plugin and then install the various compatibility patches provided by some mod authors, and try to resolve the remaining conflicts manually in xEdit.

 

OR

 

A more direct solution could be to just remove this dependency from the STEP Patch. Is there a way to accomplish this relatively neatly without messing everything up? I think I have a good idea as to the best way to go about doing this, but I wanted to check with the people on this forum before I did anything since I'm still pretty new to using xEdit and modding in general.

 

tl;dr: Would it be okay to do the following?

1) Load the STEP Extended Patch into xEdit

2) Right click the STEP Patch and run script called "List records referencing specific plugin" (specifying the plugin I wish to remove as a master)

3) Go through the list which is generated and delete all of those records from the STEP Patch

4) Right click the STEP Patch and select "Clean Masters"

5) Save and quit

 

In my case, I would like to remove Immersive Citizens from my load order so that I can try out some city expansion mods (ETaC, JK's, Nernie's, etc.) If I use the method just described, will it "break" the STEP Patch in any way? Would it still effectively resolve the conflicts between the remaining STEP Extended mods?

 

Or is there a better method to accomplish the same thing? I'm sure the STEP Patch is WAY better than whatever I might be able to put together trying to resolve the conflicts among all of the other STEP mods myself. So, if it is possible to excise the Immersive Citizens dependency from the STEP Patch then I would appreciate any advice on how to do so =)


  • 0

#2 EssArrBee

EssArrBee

    Incompatibilism Manager

  • STEP Staff
  • PipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPip
  • 7,721 posts

Posted 08 January 2016 - 07:02 PM

For immersive citizens you need to do some extra stuff. First install the CRF and ELE patches. There are records from those plugins in the STEP patch. You'll have to do it manually since I merged those plugins into the STEP Patch. The formID for some of the records are different so using editor IDs might be best. 

 

I'll probably be building a non-ICAIO patch for users that don't want to use it sometime this weekend as well.



#3 MorningLord

MorningLord

    Prisoner

  • Members
  • 4 posts

Posted 09 January 2016 - 01:24 PM

I'll probably be building a non-ICAIO patch for users that don't want to use it sometime this weekend as well.

This is great news. I for one am in the same boat as RafterMan72 ... I have gone ahead and made my own "custom Extended minus Immersive Citizens Patch" .. but I am sure i have mucked up something in TESVEdit ..  ::):   I am only used to mucking with level'd lists, armour and weapons mods and the like :)  I have avoided nav mesh edits and the like due to my inexperience and ignorance here.

 

Very interested in this optional patch ! 

thanks


  • 1



Also tagged with one or more of these keywords: step patch

0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users